Return a list of congressional record issues sorted by most recent.

The result set can be further filtered to a specified day, month, or year.

  • year: yyyy (e.g. y=2022)

  • month: m or mm (e.g. m=6)

  • day: d or dd (e.g. d=28)

GET /congressional-record/?y=:year&m=:month&d=:day

Example Request

/v3/congressional-record/?y=2022&m=6&d=28
::

"Results": {
    "IndexStart": 1,
    "Issues": [
        {
            "Congress": "117",
            "Id": 26958,
            "Issue": "109",
            "Links": {
                "Digest": {
                    "Label": "Daily Digest",
                    "Ordinal": 1,
                    "PDF": [
                        {
                            "Part": "1",
                            "Url": "https://www.congress.gov/117/crec/2022/06/28/168/109/CREC-2022-06-28-dailydigest.pdf"
                        }
                    ]
                },
                "FullRecord": {
                    "Label": "Entire Issue",
                    "Ordinal": 5,
                    "PDF": [
                        {
                            "Part": "1",
                            "Url": "https://www.congress.gov/117/crec/2022/06/28/168/109/CREC-2022-06-28.pdf"
                        }
                    ]
                },
                "House": {
                    "Label": "House Section",
                    "Ordinal": 3,
                    "PDF": [
                        {
                            "Part": "1",
                            "Url": "https://www.congress.gov/117/crec/2022/06/28/168/109/CREC-2022-06-28-house.pdf"
                        }
                    ]
                },
                "Remarks": {
                    "Label": "Extensions of Remarks Section",
                    "Ordinal": 4,
                    "PDF": [
                        {
                            "Part": "1",
                            "Url": "https://www.congress.gov/117/crec/2022/06/28/168/109/CREC-2022-06-28-extensions.pdf"
                        }
                    ]
                },
                "Senate": {
                    "Label": "Senate Section",
                    "Ordinal": 2,
                    "PDF": [
                        {
                            "Part": "1",
                            "Url": "https://www.congress.gov/117/crec/2022/06/28/168/109/CREC-2022-06-28-senate.pdf"
                        }
                    ]
                }
            }
        }     
              ]
          }

 
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!